# Uses of Interface
org.opensaml.soap.wstrust.TokenType

Packages that use TokenType
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of TokenType in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement TokenType
Modifier and Type
Class
Description
`class`
`TokenTypeImpl`
TokenTypeImpl.
Methods in org.opensaml.soap.wstrust.impl that return TokenType
Modifier and Type
Method
Description
`TokenType`
TokenTypeBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`TokenType`
TokenTypeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.